#include <stdarg.h>
#include <stdio.h>

#include <aos/aos.h>
#include <aos/sys_debug.h>
#include <grading.h>


void grading_rpc_handle_number(uintptr_t val)
{
  debug_printf("grading_rpc_handle_number(%"PRIuPTR")\n", val);
}

void grading_rpc_handler_string(const char* string)
{
  debug_printf("grading_rpc_handler_string(\"%s\")\n", string);
}

void grading_rpc_handler_serial_getchar(void)
{
  debug_printf("grading_rpc_handler_serial_getchar()\n");
}

void grading_rpc_handler_serial_putchar(char c)
{
  debug_printf("grading_rpc_handler_serial_putchar(0x%"PRIx8")\n", c);
}

void grading_rpc_handler_ram_cap(size_t bytes, size_t alignment)
{
  debug_printf("grading_rpc_handler_ram_cap(0x%"PRIxPTR", 0x%"PRIxPTR")\n", bytes, alignment);
}

void grading_rpc_handler_process_spawn(char* cmdline, coreid_t core)
{
  debug_printf("grading_rpc_handler_process_spawn(\"%s\", %"PRIuCOREID")\n", cmdline, core);
}

void grading_rpc_handler_process_get_name(domainid_t pid)
{
  debug_printf("grading_rpc_handler_process_get_name(%"PRIuDOMAINID")\n", pid);
}

void grading_rpc_handler_process_get_all_pids(void)
{
  debug_printf("grading_rpc_handler_process_get_all_pids()\n");
}
